Subject: Re: bug#67925: 29.1; delete-rectangle fails on multi-column characters

From: Eli Zaretskii <[email-masked]>
Date: Wed, 03 Jan 2024 21:31:12 +0200

> From: [email-masked]
> Cc: Stefan Kangas <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Thu, 04 Jan 2024 04:00:49 +0900
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Stefan Kangas <[email-masked]>
> >> Date: Sun, 24 Dec 2023 06:52:13 -0800
> >> Cc: [email-masked], [email-masked], [email-masked]
> >> 
> >> Juri Linkov <[email-masked]> writes:
> >> 
> >> >>> OTOH, with monospaced fonts LibreOffice selects such Block Area
> >> >>> on the reported text:
> >> >>>
> >> >>> and DEL deletes the selected text.  So maybe Emacs should do the same.
> >> >>
> >> >> The patch I posted in
> >> >>
> >> >>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67925#8
> >> >>
> >> >> is supposed to do precisely that (and does it at least in this simple
> >> >> example).
> >> >
> >> > I confirm this, so probably it's impossible to do anything better
> >> > than that.
> >> 
> >> Doing as well as LibreOffice is probably already not bad.
> >> 
> >> Perhaps we should add a comment pointing to this discussion, to explain
> >> why we have chosen this particular heuristic.
> >
> > Thanks.  Since it sounds like everyone agreed with the solution I
> > proposed, I have now installed that on the master branch, and I'm
> > therefore closing this bug.
> 
> The preview of 'C-x r t'(string-rectangle) seems different from the
> result.
> 
> Before:
> 12345
> 一二5
> 12345
> 
> Preview:
> 1x2345
>  x 二5
> 1x2345
> 
> Result:
> 1x2345
> 一x二5
> 1x2345

I don't see this as a significant problem, and don't think we should
waste time and efforts on trying to "fix" it.  The current preview
doesn't look less correct or more incorrect than what we had before
the changes.

Sorry, I don't want to try to change anything due to this new issue.